
User Interface - Feature #2374

implement WINDOW events in GUI mode

08/11/2014 02:57 PM - Constantin Asofiei

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No vendor_id: GCD

Description

Related issues:

Related to User Interface - Feature #2252: implement GUI client support Closed 03/24/2014

History

#1 - 08/11/2014 02:58 PM - Constantin Asofiei

From #2252 note 138:

Doesn't it still generate the WINDOW-CLOSE 4GL event? It is very common to have code like ON WINDOW-CLOSE OF FRAME my-frame and

this app does it thousands of times.

The other caption buttons (and OS actions that cause the same result) will also generate these:

WINDOW-MAXIMIZED

WINDOW-MINIMIZED

WINDOW-RESIZED

WINDOW-RESTORED

 

The 4GL WINDOW events generated via mouse/caption button/etc need to be implemented.

#2 - 03/23/2016 01:02 PM - Greg Shah

Are these events implemented already?

#3 - 03/23/2016 01:56 PM - Constantin Asofiei

Greg Shah wrote:

Are these events implemented already?

 

Yes, they are all added.
https://proj.goldencode.com/issues/2252


#4 - 03/23/2016 01:58 PM - Greg Shah

- Status changed from New to Closed

- % Done changed from 0 to 100

#5 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
